LibreOffice: _typelib_TypeDescription Struct Reference

LibreOffice LibreOffice 6.2 SDK C/C++ API Reference

Public Attributes | List of all members
_typelib_TypeDescription Struct Reference

Full type description of a type. More...

`#include <typedescription.h>`

## Public Attributes
sal_Int32 | nRefCount
| reference count; don't ever modify this by yourself, use typelib_typedescription_acquire() and typelib_typedescription_release() More...
sal_Int32 | nStaticRefCount
| number of static references of type, because of the fact that some types are needed until program termination and are commonly held static. More...
typelib_TypeClass | eTypeClass
| type class of type More...
rtl_uString * | pTypeName
| fully qualified name of type More...
struct _typelib_TypeDescription * | pSelf
| pointer to self to distinguish reference from description; for internal use only More...
void * | pUniqueIdentifier
| pointer to optimize the runtime; not for public use More...
void * | pReserved
| reserved for future use; 0 if not used More...
sal_Bool | bComplete
| flag to determine whether the description is complete: compound types lack of member names, enums lack of member types and names, interfaces lack of members and table init. More...
sal_Int32 | nSize
| size of type More...
sal_Int32 | nAlignment
| alignment of type More...
typelib_TypeDescriptionReference * | pWeakRef
| pointer to weak reference More...
sal_Bool | bOnDemand
| determines, if type can be unloaded (and it is possible to reloaded it) More...

## Detailed Description

Full type description of a type.

Memory layout of this struct is identical to the typelib_TypeDescriptionReference for the first six members. So a typedescription can be used as type reference.

## Member Data Documentation

## ◆ bComplete

sal_Bool _typelib_TypeDescription::bComplete

flag to determine whether the description is complete: compound types lack of member names, enums lack of member types and names, interfaces lack of members and table init.

Call typelib_typedescription_complete() if false.

## ◆ bOnDemand

sal_Bool _typelib_TypeDescription::bOnDemand

determines, if type can be unloaded (and it is possible to reloaded it)

## ◆ eTypeClass

typelib_TypeClass _typelib_TypeDescription::eTypeClass

type class of type

## ◆ nAlignment

sal_Int32 _typelib_TypeDescription::nAlignment

alignment of type

## ◆ nRefCount

sal_Int32 _typelib_TypeDescription::nRefCount

reference count; don't ever modify this by yourself, use typelib_typedescription_acquire() and typelib_typedescription_release()

## ◆ nSize

sal_Int32 _typelib_TypeDescription::nSize

size of type

## ◆ nStaticRefCount

sal_Int32 _typelib_TypeDescription::nStaticRefCount

number of static references of type, because of the fact that some types are needed until program termination and are commonly held static.

## ◆ pReserved

void* _typelib_TypeDescription::pReserved

reserved for future use; 0 if not used

## ◆ pSelf

struct _typelib_TypeDescription* _typelib_TypeDescription::pSelf

pointer to self to distinguish reference from description; for internal use only

## ◆ pTypeName

rtl_uString* _typelib_TypeDescription::pTypeName

fully qualified name of type

## ◆ pUniqueIdentifier

void* _typelib_TypeDescription::pUniqueIdentifier

pointer to optimize the runtime; not for public use

## ◆ pWeakRef

typelib_TypeDescriptionReference* _typelib_TypeDescription::pWeakRef

pointer to weak reference

The documentation for this struct was generated from the following file:

- typelib/typedescription.h